Subject: [PATCH] serial: DCC(JTAG) serial and console emulation support

From: [email-masked] (Tony Lindgren)
Date: Fri, 8 Oct 2010 13:32:22 -0700

* Nicolas Pitre <[email-masked]> [101007 18:16]:
> On Thu, 7 Oct 2010, Tony Lindgren wrote:
> > 
> > Can you please pass the read and write functions to the driver
> > in platform_data? We are already booting kernels with both
> > ARMv6 and 7 compiled in.
> 
> No.  This has nothing to do with platform as this can be determined 
> within the driver itself.  Would be much better to simply determine 
> which flavor to use at driver init time and assign two function pointers.

In the long run some platform init code is needed for powering
up the JTAG interface and take care of pin multiplexing etc.

Also, isn't DCC (Debug Communications Channel) a JTAG standard? At least
the following does not say anything about DCC being ARM specific:

http://en.wikipedia.org/wiki/Joint_Test_Action_Group

BTW, we already have ETM (Embedded Trace Module) in arch/arm/kernel/etm.c.
That is set up as amba driver.

Regards,

Tony